Get a virtual account
curl --request GET \
--url https://api.anchorage-staging.com/v2/virtual-accounts/{id} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/virtual-accounts/{id}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/virtual-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"customerId": "cust_9f8e7d6c",
"id": "va_1a2b3c4d",
"walletId": "1c920f4241b78a1d483a29f3c24b6c4c",
"closedAt": "2019-01-03T12:34:56.000Z",
"depositInstruction": {
"bankAddress": {
"address1": "123 Main Street",
"city": "Anytown",
"country": "USA",
"province": "CA",
"zipCode": "12345",
"address2": "Suite 400"
},
"bankName": "Example Bank",
"bankRoutingNumber": "123456789",
"bankSwiftCode": "12345678",
"beneficiaryAccountNumber": "12345678",
"beneficiaryAddress": {
"address1": "123 Main Street",
"city": "Anytown",
"country": "USA",
"province": "CA",
"zipCode": "12345",
"address2": "Suite 400"
},
"beneficiaryName": "John Doe",
"intermediaryAddress": {
"address1": "123 Main Street",
"city": "Anytown",
"country": "USA",
"province": "CA",
"zipCode": "12345",
"address2": "Suite 400"
},
"intermediaryName": "Intermediary Bank",
"intermediarySwiftCode": "87654321",
"memoField": "4827193650"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Get a virtual account
Permissions required: Virtual accounts or Read vault activity
Get a single virtual account by its id. No signature is required for this read.
GET
/
virtual-accounts
/
{id}
Get a virtual account
curl --request GET \
--url https://api.anchorage-staging.com/v2/virtual-accounts/{id} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/virtual-accounts/{id}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/virtual-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"customerId": "cust_9f8e7d6c",
"id": "va_1a2b3c4d",
"walletId": "1c920f4241b78a1d483a29f3c24b6c4c",
"closedAt": "2019-01-03T12:34:56.000Z",
"depositInstruction": {
"bankAddress": {
"address1": "123 Main Street",
"city": "Anytown",
"country": "USA",
"province": "CA",
"zipCode": "12345",
"address2": "Suite 400"
},
"bankName": "Example Bank",
"bankRoutingNumber": "123456789",
"bankSwiftCode": "12345678",
"beneficiaryAccountNumber": "12345678",
"beneficiaryAddress": {
"address1": "123 Main Street",
"city": "Anytown",
"country": "USA",
"province": "CA",
"zipCode": "12345",
"address2": "Suite 400"
},
"beneficiaryName": "John Doe",
"intermediaryAddress": {
"address1": "123 Main Street",
"city": "Anytown",
"country": "USA",
"province": "CA",
"zipCode": "12345",
"address2": "Suite 400"
},
"intermediaryName": "Intermediary Bank",
"intermediarySwiftCode": "87654321",
"memoField": "4827193650"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
The ID of the virtual account to retrieve
Response
The requested virtual account
The program customer this virtual account is associated with.
Example:
"cust_9f8e7d6c"
The unique identifier for this virtual account.
Example:
"va_1a2b3c4d"
The ID of the wallet this virtual account is provisioned on.
Example:
"1c920f4241b78a1d483a29f3c24b6c4c"
When this virtual account was closed. Absent while the virtual account is open.
Example:
"2019-01-03T12:34:56.000Z"
Bank deposit details for this virtual account. Absent until provisioning has completed.
Show child attributes
Show child attributes
Was this page helpful?